Package Details: brscan5 1.3.1_0-2

Git Clone URL: https://aur.archlinux.org/brscan5.git (read-only, click to copy)
Package Base: brscan5
Description: SANE drivers from Brother for compatible models
Upstream URL: http://support.brother.com
Keywords: brother printer sane scanner
Licenses: GPL, custom:brother
Submitter: razerei
Maintainer: agsimmons0
Last Packager: agsimmons0
Votes: 28
Popularity: 1.66
First Submitted: 2019-04-17 14:30 (UTC)
Last Updated: 2024-02-04 22:29 (UTC)

Latest Comments

1 2 3 4 5 Next › Last »

vojtechkral commented on 2024-05-22 20:00 (UTC)

This driver also works for DS-640

Matr1x-101 commented on 2024-02-01 18:39 (UTC)

Hello, due to various circumstances, I've disowned this (and other) packages. Feel free to adopt.

SimonVA commented on 2024-02-01 14:17 (UTC)

I have the same issue as user ckafi below. When plugging my 740D to my Asus motherboard, all my USB devices stop responding.

When booting with the scanner already plugged in i have no issue. Do you know what i could do to solve this ?

kerel commented on 2024-01-17 14:14 (UTC)

Thank you for this package! I'd like to propose to move the binaries into their canonical location at /usr/bin, to make them available in the PATH and to harmonize with brscan4:

diff --git a/PKGBUILD b/PKGBUILD
index 9605d1f..6096231 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -54,4 +54,12 @@ package() {
     ln -sf "$lib.so.1.0.0" "$lib.so.1"
     ln -sf "$lib.so.1" "$lib.so"
   done
+
+  mkdir -p "$pkgdir/usr/bin"
+  cd "$pkgdir/usr/bin" || exit 1
+  bins=(brsaneconfig5 brscan_cnetconfig brscan_gnetconfig setupSaneScan5)
+  for bin in "${bins[@]}"; do
+    mv "$pkgdir/opt/brother/scanner/brscan5/${bin}" "${bin}"
+    ln -s "../../../../usr/bin/${bin}" "$pkgdir/opt/brother/scanner/brscan5/${bin}"
+  done
 }

Raansu commented on 2023-10-28 04:26 (UTC)

Does anyone have an issue where their scanner is "jamming" on a long page or receipt? It's not actually jamming but it gives up if the page is too long. I have a ADS-1200 and I could have sworn this worked in the past.

Matr1x-101 commented on 2023-09-12 19:56 (UTC) (edited on 2023-09-13 16:34 (UTC) by Matr1x-101)

Sorry for the delay, no need to orphan, I'll update tomorrow. (Damn, you don't need to file an orphan request 3 days after out of date!) (Edit: updated)

ckafi commented on 2023-08-26 17:20 (UTC)

I had some problems with my DS-640, where connecting it would crash the xHCI host and disconnecting all USB devices. Installing this package without libusb-compat fixed it. Not sure who's to blame, maybe my ASUS motherboard does some wacky stuff with USB.

jlindgren commented on 2023-06-05 18:01 (UTC)

Works for me with Brother DS-635, thanks! I did update the PKGBUILD to install 1.2.12 (not sure if necessary). Simple as changing:

pkgver=1.2.12_0
pkgrel=1
md5sums_x86_64=('f83901b5f8beb172e638dd2e3dee765f')

cmsigler commented on 2022-11-17 14:49 (UTC) (edited on 2022-11-17 14:50 (UTC) by cmsigler)

@razerei and @wounc78,

Thank you for this AUR pkg/driver :D It works as expected with my Brother DS740-D portable scanner -- except for the duplex functionality, which I personally didn't expect to work after doing my pre-buy research. The xsane GUI has an option to select duplex operation, but it doesn't seem to do anything/be wired up 8\

But your driver pkg works perfectly well! Thank you!!! :)

Clemmitt Sigler